<template>
  <!-- 设备连接告警 -->
  <div class="leakage-cable">
    <el-button-group>
      <el-button
        v-for="item in tabs"
        :key="item.key"
        :type="confirmStatus === item.key ? 'primary' : ''"
        @click="changeType(item)"
        >{{ item.label }}</el-button
      >
    </el-button-group>
    <div class="leakage-top">
      <div style="color: #666666"></div>
      <div class="operate-btn">
        <el-button type="primary" @click="getTableData">刷新</el-button>
        <el-button type="primary">查询</el-button>
        <el-button type="primary" @click="exportList">导出</el-button>
      </div>
    </div>

    <el-table
      :data="tableData"
      style="width: 100%"
      :cell-class-name="cellClassFn"
      :header-cell-style="{ background: '#EAF1FE', color: '#666666' }"
    >
      <el-table-column prop="startPointDeviceName" label="网元设备" align="center" />
      <el-table-column prop="endPointConnectStatus	" label="连接状态" align="center" />
      <el-table-column prop="endPointDeviceName" label="网元设备" align="center" />
      <el-table-column prop="uploadTime" label="上传时间" align="center" />
      <el-table-column prop="confirmPerson" label="确认人" align="center" />
      <el-table-column prop="confirmTime" label="确认时间" align="center" />
      <el-table-column fixed="right" label="操作" align="center" width="100">
        <template slot-scope="scope">
          <el-button type="text" v-if="scope.row.confirmStatus === 1">取消</el-button>
          <el-button type="text" v-else>确认</el-button>
        </template>
      </el-table-column>
    </el-table>
    <Pagination
      :limit="params.size"
      :page="params.current"
      :total="total"
      class="pagination"
      @pagination="handlePageChange"
    />
  </div>
</template>

<script>
import { deviceList, deviceExport } from '../api'

export default {
  data() {
    return {
      confirmStatus: 2,
      params: {
        current: 1,
        size: 10
      },
      total: 10,
      tableData: [],
      tabs: [
        {
          label: '全部',
          key: 2
        },
        {
          label: '已确认',
          key: 1
        },
        {
          label: '未确认',
          key: 0
        }
      ],
    };
  },
  methods: {
    // 表格背景图颜色
    cellClassFn({ row, column, rowIndex, columnIndex }) {
      if ((row.state1 == '连接正常' && column.property == 'state1')) {
        return 'green'
      }
      if ((row.state1 == '连接异常' && column.property == 'state1')) {
        return 'red'
      }
      if ((row.state2 == '连接正常' && column.property == 'state2')) {
        return 'green'
      } else if ((row.state2 == '连接异常' && column.property == 'state2')) {
        return 'red'
      }
      if (rowIndex % 2 == 1) {
        return 'stripe'
      }
    },
    handlePageChange(pageData) {
      this.params.size = pageData.size
      this.params.current = pageData.page
      this.getTableData()
    },
    getTableData(type) {
      let param = {
        confirmStatus: type,
        ...this.params
      }
      deviceList(param).then(res => {
        let list = res.records || []
        this.tableData = list
        this.total = res.total
      })
    },
    changeType(item) {
      this.confirmStatus = item.key
      if(item.key == 2) {
        this.getTableData('')
      } else {
        this.getTableData(item.key)
      }
    },
    exportList() {
      deviceExport({confirmStatus: this.confirmStatus}).then(res => {

      })
    },
  },
  mounted() {
    this.getTableData()
  },
};
</script>

<style lang="scss" scoped>
.leakage-cable {
  .leakage-top {
    margin-bottom: 20px;
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
  }
  & ::v-deep .cell {
    color: #333333;
  }
  & ::v-deep .stripe {
    background-color: #eaf1fe;
  }
  & ::v-deep .red {
    background-color: #f00;
  }
  & ::v-deep .green {
    background-color: green;
  }
  .page {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 20px 0;
    .pageNum {
      margin: 0 20px;
    }
  }
}
</style>
